%define name    	libmal
%define version 	0.44.1
%define release 	%mkrel 2
%define major   	1
%define libname 	%mklibname mal %{major}
%define develname	%mklibname mal -d

Name: 			%{name}
Version: 		%{version}
Release: 		%{release}
Group: 			System/Libraries
License: 		MPL
URL: 			http://jasonday.home.att.net/code/libmal/libmal.html
Source: 		http://jasonday.home.att.net/code/libmal/%{name}-%{version}.tar.xz
#Patch1:			libmal-0.44-lib64.patch
Patch2:			libmal-0.44-libtool.patch
#Patch3:			libmal-0.44-64bit-fixes.patch
Patch4:		    libmal-0.44-automake-1.13.patch
Summary: 		MAL library for AvantGo
BuildRoot: 		%{_tmppath}/%{name}-buildroot
Requires: 		pilot-link
BuildRequires:		autoconf
BuildRequires: 		pilot-link-devel >= 0.12.0
Requires:   		glibc >= 2.10.1
Requires:   		libstdc++6 >= 4.4.1
Obsoletes:  		%name < %version


%package -n 	%{libname}
Summary:        MAL library for AvantGo
Group:          System/Libraries

%description 
libmal is really just a convenience library of the functions in Tom
Whittaker's malsync distribution, along with a few wrapper functions.


%description -n %{libname}
libmal is really just a convenience library of the functions in Tom
Whittaker's malsync distribution, along with a few wrapper functions. 


%package -n 	%{develname}
Summary:        Development tools for programs which will use the %{name} library
Group:          Development/Libraries
Requires:   	%{libname} = %{version}-%release
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname mal 0 -d}

%description -n %{develname}
The %{name}-devel package includes the header files and static libraries
necessary for developing programs using the %{name} library.

If you are going to develop programs which will use the %{name} library
you should install %{name}-devel.  You'll also need to have the %name
package installed.

%package	malsync
Summary:	Utility to update Palms from Avantgo and MobileLink web site
Group:		Communications
Obsoletes:	malsync
Provides:	malsync

%description malsync
Malsync is a tool for updating Palm devices from the AvantGo and
MobileLink web sites.

%prep
%setup -q
%patch2 -p1
%patch4 -p1

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%install
%make DESTDIR=$RPM_BUILD_ROOT install
# Remove unpackaged copy of README
rm -f %{buildroot}%{_docdir}/libmal1/README

# don't ship .la
find %{buildroot} -name *.la | xargs rm -f

%clean
rm -rf $RPM_BUILD_ROOT

%files malsync
%defattr(-,root,root,-)
%_bindir/malsync

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%defattr(-,root,root)
%doc README
%_includedir/libmal
%{_libdir}/*.so


%changelog
* Mon Aug 28 2017 adrianomorselli <adrianomorselli> 0.44.1-2uplos2017
- rebuild for 2017
- removed unecessary patches
